## org.apache.ivy.core.module.descriptor
Class Configuration.Visibility

    java.lang.Object
      org.apache.ivy.core.module.descriptor.Configuration.Visibility

Enclosing class:
  Configuration

    public static final class Configuration.Visibility

extends java.lang.Object

Field Summary
`static Configuration.Visibility` `PRIVATE`
`static Configuration.Visibility` `PUBLIC`

Method Summary
`static Configuration.Visibility` `getVisibility(java.lang.String name)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PUBLIC

    public static final Configuration.Visibility PUBLIC

### PRIVATE

    public static final Configuration.Visibility PRIVATE

Method Detail

### getVisibility

    public static Configuration.Visibility getVisibility(java.lang.String name)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`